Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZInformixDB Class Reference

## Public Member Functions
| __construct ( $server, $db, $user, $password)
| isA ()
| setBlobArray ( $array)
| query ( $sql, $print=false)
| array_query (&$ret_array, $query, $min=0, $max=-1)
| query_single (&$row, $sql, $column=false)
| lock ( $table)
| unlock ()
| begin ()
| commit ()
| rollback ()
| nextID ( $table, $field="ID")
& | escapeString ( $str)
| close ()

## Static Public Member Functions
& | fieldName ( $str)

## Public Attributes
| $Database
| database connection More...
| $BlobIDArray
| variable for blob ID array More...

## Detailed Description

! eZCommon The eZInfomixDB class provides the informix database implementation.

See the eZDB class for description on usage.

See also
  eZDB

Definition at line 37 of file ezinformixdb.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZInformixDB::__construct | ( |  | $server,
|  |  | $db,
|  |  | $user,
|  |  | $password
| ) |  |

Constructor

Definition at line 42 of file ezinformixdb.php.

References $BlobIDArray.

## Member Function Documentation

## ◆ array_query()

eZInformixDB::array_query | ( | & | $ret_array,
|  |  | $query,
|  |  | $min = `0`,
|  |  | $max = `-1`
| ) |  |

Definition at line 108 of file ezinformixdb.php.

References $i, $limit, $offset, $query, and $row.

Referenced by nextID(), and query_single().

## ◆ begin()

eZInformixDB::begin | ( |  | ) |

Starts a new transaction.

Definition at line 212 of file ezinformixdb.php.

References query().

## ◆ close()

eZInformixDB::close | ( |  | ) |

Will close the database connection.

Definition at line 279 of file ezinformixdb.php.

## ◆ commit()

eZInformixDB::commit | ( |  | ) |

Commits the transaction.

Definition at line 220 of file ezinformixdb.php.

References query().

## ◆ escapeString()

& eZInformixDB::escapeString | ( |  | $str | ) |

Will escape a string so it's ready to be inserted in the database.

Definition at line 260 of file ezinformixdb.php.

References $str.

## ◆ fieldName()

& eZInformixDB::fieldName | ( |  | $str | ) |
| static

Will just return the field name.

Definition at line 271 of file ezinformixdb.php.

References $str.

Referenced by nextID().

## ◆ isA()

eZInformixDB::isA | ( |  | ) |

Returns the driver type.

Definition at line 54 of file ezinformixdb.php.

## ◆ lock()

eZInformixDB::lock | ( |  | $table | ) |

Locks a table

Definition at line 195 of file ezinformixdb.php.

References query().

## ◆ nextID()

eZInformixDB::nextID | ( |  | $table,
|  |  | $field = `"ID"`
| ) |  |

Returns the next value which can be used as a unique index value.

Remeber to lock the table before using this function and inserting the value.

Definition at line 238 of file ezinformixdb.php.

References $id, array_query(), and fieldName().

## ◆ query()

eZInformixDB::query | ( |  | $sql,
|  |  | $print = `false`
| ) |  |

Executes an informix query

Definition at line 72 of file ezinformixdb.php.

References $result.

Referenced by begin(), commit(), lock(), and rollback().

## ◆ query_single()

eZInformixDB::query_single | ( | & | $row,
|  |  | $sql,
|  |  | $column = `false`
| ) |  |

Same as array_query() but expects to recieve 1 row only (no array), no more no less. $column is the same as in array_query().

Definition at line 184 of file ezinformixdb.php.

References $ret, $row, and array_query().

## ◆ rollback()

eZInformixDB::rollback | ( |  | ) |

Cancels the transaction.

Definition at line 228 of file ezinformixdb.php.

References query().

## ◆ setBlobArray()

eZInformixDB::setBlobArray | ( |  | $array | ) |

Sets the informix blob ID array.

NOTE: this function does only work with informix.

Definition at line 64 of file ezinformixdb.php.

## ◆ unlock()

eZInformixDB::unlock | ( |  | ) |

Releases table locks.

Definition at line 203 of file ezinformixdb.php.

## Member Data Documentation

## ◆ $BlobIDArray

eZInformixDB::$BlobIDArray

variable for blob ID array

Definition at line 288 of file ezinformixdb.php.

Referenced by __construct().

## ◆ $Database

eZInformixDB::$Database

database connection

Definition at line 285 of file ezinformixdb.php.

The documentation for this class was generated from the following file:

- ezinformixdb.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.